


proc EditFont {font } {
  
  # We come here only when the user wants to change the font thus
  # mostly this code should not be loaded.
  global FontInfo FontInfos FontList  WhichFontToSet config FontSelDone FontApply
#  puts "entry"

  set FontList { ListBoxFont GuiFont BalloonHelpFont }
  set WhichFontToSet $font

  set FontInfos(BalloonHelpFont,gloss) [_ "BalloonHelpFont"]
  set FontInfos(BalloonHelpFont,help) \
      {[_b "This font is used in help balloons."]}
  set FontInfos(ListBoxFont,gloss) [_ "ListBoxFont"]
  set FontInfos(ListBoxFont,help) \
      {[_b "This font is used in list boxes and should be a fixed font."]}
  set FontInfos(GuiFont,gloss) [_ "GuiFont"]
  set FontInfos(GuiFont,help) {[_b "This font is used in buttons and labels."]}

  foreach font $FontList {
    catch {font delete $font}
    if {[catch {font actual $config(gui,$font)} out] != 0} {
      # it must not exist, use the default...
      set $config(gui,$font) TkDefaultFont
    }
    fontsel::FontToFontInfos $config(gui,$font) $font
  }
  fontsel::SetFontInfoDefaults
  fontsel::CreateFonts
  fontsel::RecordDefaults
#  puts "$WhichFontToSet"
  trace add variable FontApply write ApplyNewFont
  fontsel::CreateFontControlPanel
  vwait FontSelDone
  trace remove variable FontApply write ApplyNewFont
}
proc ApplyNewFont {args} {
  global FontApply config
  set config(gui,$FontApply) [fontsel::FontToTcl $FontApply]
  ReConfigFont
}